## org.apache.portals.bridges.jsf
Class PortletExternalContextImpl

    java.lang.Object
      javax.faces.context.ExternalContext
          org.apache.portals.bridges.jsf.PortletExternalContextImpl

public class PortletExternalContextImpl
extends javax.faces.context.ExternalContext

JSF 1.0 PRD2, 6.1.1

See MyFaces project for servlet implementation.

Author:
  David Le Strat

Field Summary
`private Map` `applicationMap` The application map.
`private static String` `INIT_PARAMETER_MAP_ATTRIBUTE` The init parameter map attribute.
`private Map` `initParameterMap` The init parameter map.
`private static org.apache.commons.logging.Log` `log`
`private javax.portlet.PortletContext` `portletContext` The portlet context.
`private javax.portlet.PortletRequest` `portletRequest` The portlet request.
`private javax.portlet.PortletResponse` `portletResponse` The portlet response.
`private Map` `requestCookieMap` The request cookie map.
`private Map` `requestHeaderMap` The request header map.
`private Map` `requestHeaderValuesMap` The request header values map.
`private Map` `requestMap` The request map.
`private Map` `requestParameterMap` The request parameter map.
`private Map` `requestParameterValuesMap` The request parameter values map.
`private String` `requestPathInfo` The request path info.
`private String` `requestServletPath` The request servlet path.
`private Map` `sessionMap` The session map.

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`PortletExternalContextImpl(javax.portlet.PortletContext portletContext, javax.portlet.PortletRequest portletRequest, javax.portlet.PortletResponse portletResponse)`

Method Summary
`void` `dispatch(String requestURI)`
`String` `encodeActionURL(String s)`
`String` `encodeNamespace(String pNamespace)`
`String` `encodeResourceURL(String s)`
`Map` `getApplicationMap()`
`String` `getAuthType()`
`Object` `getContext()`
`String` `getInitParameter(String s)`
`Map` `getInitParameterMap()`
`String` `getRemoteUser()`
`Object` `getRequest()`
`String` `getRequestContextPath()`
`Map` `getRequestCookieMap()`
`Map` `getRequestHeaderMap()`
`Map` `getRequestHeaderValuesMap()`
`Locale` `getRequestLocale()`
`Iterator` `getRequestLocales()`
`Map` `getRequestMap()`
`Map` `getRequestParameterMap()`
`Iterator` `getRequestParameterNames()`
`Map` `getRequestParameterValuesMap()`
`String` `getRequestPathInfo()`
`String` `getRequestServletPath()`
`URL` `getResource(String s)`
`InputStream` `getResourceAsStream(String s)`
`Set` `getResourcePaths(String s)`
`Object` `getResponse()`
`Object` `getSession(boolean create)`
`Map` `getSessionMap()`
`Principal` `getUserPrincipal()`
`boolean` `isUserInRole(String role)`
`void` `log(String message)`
`void` `log(String message, Throwable t)`
`void` `redirect(String url)`
`void` `release()` Reset the member variables.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### INIT_PARAMETER_MAP_ATTRIBUTE

    private static final String INIT_PARAMETER_MAP_ATTRIBUTE

  The init parameter map attribute.

### portletContext

    private javax.portlet.PortletContext portletContext

  The portlet context.

### portletRequest

    private javax.portlet.PortletRequest portletRequest

  The portlet request.

### portletResponse

    private javax.portlet.PortletResponse portletResponse

  The portlet response.

### applicationMap

    private Map applicationMap

  The application map.

### sessionMap

    private Map sessionMap

  The session map.

### requestMap

    private Map requestMap

  The request map.

### requestParameterMap

    private Map requestParameterMap

  The request parameter map.

### requestParameterValuesMap

    private Map requestParameterValuesMap

  The request parameter values map.

### requestHeaderMap

    private Map requestHeaderMap

  The request header map.

### requestHeaderValuesMap

    private Map requestHeaderValuesMap

  The request header values map.

### requestCookieMap

    private Map requestCookieMap

  The request cookie map.

### initParameterMap

    private Map initParameterMap

  The init parameter map.

### requestPathInfo

    private String requestPathInfo

  The request path info.

### requestServletPath

    private String requestServletPath

  The request servlet path.

Constructor Detail

### PortletExternalContextImpl

    public PortletExternalContextImpl(javax.portlet.PortletContext portletContext,
                                      javax.portlet.PortletRequest portletRequest,
                                      javax.portlet.PortletResponse portletResponse)

Parameters:
  `portletContext` - The `PortletContext`.
  `portletRequest` - The `PortletRequest`.
  `portletResponse` - The `PortletResponse`.

Method Detail

### release

    public void release()

  Reset the member variables.

### getSession

    public Object getSession(boolean create)

  See Also:
    `ExternalContext.getSession(boolean)`

### getContext

    public Object getContext()

  See Also:
    `ExternalContext.getContext()`

### getRequest

    public Object getRequest()

  See Also:
    `ExternalContext.getRequest()`

### getResponse

    public Object getResponse()

  See Also:
    `ExternalContext.getResponse()`

### getApplicationMap

    public Map getApplicationMap()

  See Also:
    `ExternalContext.getApplicationMap()`

### getSessionMap

    public Map getSessionMap()

  See Also:
    `ExternalContext.getSessionMap()`

### getRequestMap

    public Map getRequestMap()

  See Also:
    `ExternalContext.getRequestMap()`

### getRequestParameterMap

    public Map getRequestParameterMap()

  See Also:
    `ExternalContext.getRequestParameterMap()`

### getRequestParameterValuesMap

    public Map getRequestParameterValuesMap()

  See Also:
    `ExternalContext.getRequestParameterValuesMap()`

### getRequestParameterNames

    public Iterator getRequestParameterNames()

  See Also:
    `ExternalContext.getRequestParameterNames()`

### getRequestHeaderMap

    public Map getRequestHeaderMap()

  See Also:
    `ExternalContext.getRequestHeaderMap()`

### getRequestHeaderValuesMap

    public Map getRequestHeaderValuesMap()

  See Also:
    `ExternalContext.getRequestHeaderValuesMap()`

### getRequestCookieMap

    public Map getRequestCookieMap()

  See Also:
    `ExternalContext.getRequestCookieMap()`

### getRequestLocale

    public Locale getRequestLocale()

  See Also:
    `ExternalContext.getRequestLocale()`

### getRequestPathInfo

    public String getRequestPathInfo()

  See Also:
    `ExternalContext.getRequestPathInfo()`

### getRequestContextPath

    public String getRequestContextPath()

  See Also:
    `ExternalContext.getRequestContextPath()`

### getInitParameter

    public String getInitParameter(String s)

  See Also:
    `ExternalContext.getInitParameter(java.lang.String)`

### getInitParameterMap

    public Map getInitParameterMap()

  See Also:
    `ExternalContext.getInitParameterMap()`

### getResourcePaths

    public Set getResourcePaths(String s)

  See Also:
    `ExternalContext.getResourcePaths(java.lang.String)`

### getResourceAsStream

    public InputStream getResourceAsStream(String s)

  See Also:
    `ExternalContext.getResourceAsStream(java.lang.String)`

### encodeActionURL

    public String encodeActionURL(String s)

  See Also:
    `ExternalContext.encodeActionURL(java.lang.String)`

### encodeResourceURL

    public String encodeResourceURL(String s)

  See Also:
    `ExternalContext.encodeResourceURL(java.lang.String)`

### encodeNamespace

    public String encodeNamespace(String pNamespace)

  See Also:
    `ExternalContext.encodeNamespace(java.lang.String)`

### dispatch

    public void dispatch(String requestURI)
                  throws IOException,
                         javax.faces.FacesException

  Throws:
    `IOException`
    `javax.faces.FacesException`
  See Also:
    `ExternalContext.dispatch(java.lang.String)`

### getRequestServletPath

    public String getRequestServletPath()

  See Also:
    `ExternalContext.getRequestServletPath()`

### getAuthType

    public String getAuthType()

  See Also:
    `ExternalContext.getAuthType()`

### getRemoteUser

    public String getRemoteUser()

  See Also:
    `ExternalContext.getRemoteUser()`

### isUserInRole

    public boolean isUserInRole(String role)

  See Also:
    `ExternalContext.isUserInRole(java.lang.String)`

### getUserPrincipal

    public Principal getUserPrincipal()

  See Also:
    `ExternalContext.getUserPrincipal()`

### log

    public void log(String message)

  See Also:
    `ExternalContext.log(java.lang.String)`

### log

    public void log(String message,
                    Throwable t)

  See Also:
    `ExternalContext.log(java.lang.String, java.lang.Throwable)`

### redirect

    public void redirect(String url)
                  throws IOException

  Throws:
    `IOException`
  See Also:
    `ExternalContext.redirect(java.lang.String)`

### getRequestLocales

    public Iterator getRequestLocales()

  See Also:
    `ExternalContext.getRequestLocales()`

### getResource

    public URL getResource(String s)
                    throws MalformedURLException

  Throws:
    `MalformedURLException`
  See Also:
    `ExternalContext.getResource(java.lang.String)`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.